'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _panel = require('../panel');

var _text = require('../text');

var _text2 = _interopRequireDefault(_text);

var _image = require('../image');

var _image2 = _interopRequireDefault(_image);

var _color = require('../color');

var _color2 = _interopRequireDefault(_color);

var _icon = require('../icon');

var _icon2 = _interopRequireDefault(_icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CardCourse = function (_React$Component) {
    (0, _inherits3.default)(CardCourse, _React$Component);

    function CardCourse() {
        (0, _classCallCheck3.default)(this, CardCourse);
        return (0, _possibleConstructorReturn3.default)(this, (CardCourse.__proto__ || (0, _getPrototypeOf2.default)(CardCourse)).apply(this, arguments));
    }

    (0, _createClass3.default)(CardCourse, [{
        key: 'render',
        value: function render() {
            var _classNames;

            var _props = this.props;
            var className = _props.className;
            var type = _props.type;
            var src = _props.src;
            var title = _props.title;
            var tags = _props.tags;
            var count = _props.count;
            var trailer = _props.trailer;
            var onClick = _props.onClick;
            var classHour = _props.classHour;
            var price = _props.price;
            var cntPrice = _props.cntPrice;
            var children = _props.children;
            var others = (0, _objectWithoutProperties3.default)(_props, ['className', 'type', 'src', 'title', 'tags', 'count', 'trailer', 'onClick', 'classHour', 'price', 'cntPrice', 'children']);

            var cls = (0, _classnames2.default)((_classNames = {
                smartui_card: true,
                smartui_card_course: true
            }, (0, _defineProperty3.default)(_classNames, 'smartui_card_' + type, type === 'live'), (0, _defineProperty3.default)(_classNames, className, className), _classNames));

            return _react2.default.createElement(
                _panel.Panel,
                (0, _extends3.default)({ access: true, className: cls }, others),
                type === 'live' ? _react2.default.createElement(
                    'div',
                    { className: 'smartui_card_course_num' },
                    '共',
                    _react2.default.createElement(
                        'strong',
                        null,
                        count
                    ),
                    '次直播'
                ) : null,
                _react2.default.createElement(_image2.default, { src: src, alt: title, width: 256, height: 144 }),
                _react2.default.createElement(
                    _panel.PanelBody,
                    { className: 'smartui_card_course_panel_body' },
                    _react2.default.createElement(
                        _text2.default,
                        { type: 'link', hover: true, size: '14' },
                        title
                    ),
                    _react2.default.createElement(
                        _text2.default,
                        { size: '12', color: '#999' },
                        '课时：',
                        classHour,
                        '课时'
                    ),
                    _react2.default.createElement(
                        _color2.default,
                        { type: "third", className: 'smartui_card_course_tags' },
                        tags
                    ),
                    _react2.default.createElement(
                        _text2.default,
                        { type: 'link', size: '12', onClick: this.onClick, className: 'smartui_card_course_trailer' },
                        '试听',
                        _react2.default.createElement(_icon2.default, { value: 'video' })
                    )
                ),
                _react2.default.createElement(
                    'div',
                    { className: 'smartui_card_course_ft' },
                    _react2.default.createElement('span', { className: 'line' }),
                    _react2.default.createElement(
                        _text2.default,
                        { size: '16', color: '#ff5d5d' },
                        '¥',
                        price
                    ),
                    price === cntPrice ? _react2.default.createElement(
                        _text2.default,
                        { size: '12', color: '#999', style: { marginLeft: '5px', textDecoration: 'line-through', verticalAlign: '2px', lineHeight: '29px', height: '25px', overflow: 'hidden' } },
                        '¥',
                        cntPrice
                    ) : null,
                    type !== 'live' ? _react2.default.createElement(
                        _text2.default,
                        { size: '12', color: '#999', style: { float: 'right' } },
                        '200人购买过'
                    ) : null,
                    type === 'live' ? _react2.default.createElement(
                        _text2.default,
                        { size: '16', color: '#999', style: { position: 'relative', float: 'right', paddingLeft: '22px' } },
                        _react2.default.createElement(_icon2.default, { value: 'live-num', style: { position: 'absolute', display: 'inline-block', top: '4px', left: '0', fontSize: '16px' } }),
                        '200 /',
                        _react2.default.createElement(
                            'small',
                            { style: { fontSize: '12px' } },
                            '1000'
                        )
                    ) : null
                )
            );
        }
    }]);
    return CardCourse;
}(_react2.default.Component); /**
                               *  Created by beth on 2016年9月28日
                               *  CardCourse
                               */

CardCourse.defaultProps = {
    type: ''
};
exports.default = CardCourse;
;