'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _panel = require('../panel');

var _text = require('../text');

var _text2 = _interopRequireDefault(_text);

var _image = require('../image');

var _image2 = _interopRequireDefault(_image);

var _label = require('../label');

var _label2 = _interopRequireDefault(_label);

var _article = require('../article');

var _progress = require('../progress');

var _progress2 = _interopRequireDefault(_progress);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *  Created by beth on 2016年9月28日
 *  CardTeacher
 */

var CardTeacher = function (_React$Component) {
  (0, _inherits3.default)(CardTeacher, _React$Component);

  function CardTeacher(props) {
    (0, _classCallCheck3.default)(this, CardTeacher);

    var _this = (0, _possibleConstructorReturn3.default)(this, (CardTeacher.__proto__ || (0, _getPrototypeOf2.default)(CardTeacher)).call(this, props));

    _this.getTagsHtml = _this.getTagsHtml.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(CardTeacher, [{
    key: 'getTagsHtml',
    value: function getTagsHtml(tags) {
      if (tags && tags.length) {
        return tags.map(function (item, index) {
          return _react2.default.createElement(
            _label2.default,
            { key: index, random: true, index: index },
            item
          );
        });
      }
      return tags;
    }
  }, {
    key: 'render',
    value: function render() {
      var _classNames;

      var _props = this.props;
      var type = _props.type;
      var href = _props.href;
      var src = _props.src;
      var name = _props.name;
      var tags = _props.tags;
      var introduction = _props.introduction;
      var skill = _props.skill;
      var className = _props.className;
      var children = _props.children;
      var others = (0, _objectWithoutProperties3.default)(_props, ['type', 'href', 'src', 'name', 'tags', 'introduction', 'skill', 'className', 'children']);

      var cls = (0, _classnames2.default)((_classNames = {
        smartui_card: true,
        smartui_card_teacher: true
      }, (0, _defineProperty3.default)(_classNames, 'smartui_card_' + type, type), (0, _defineProperty3.default)(_classNames, className, className), _classNames));

      var colorType = ['green', 'blue', 'red', 'orange', 'yellow'];

      return _react2.default.createElement(
        _panel.Panel,
        (0, _extends3.default)({ access: true, className: cls }, others),
        _react2.default.createElement(
          'a',
          { href: href, title: name },
          _react2.default.createElement(_image2.default, { src: src, alt: name, width: 256, height: 256 }),
          _react2.default.createElement(
            _panel.PanelBody,
            { className: 'smartui_card_teacher_panel_body' },
            _react2.default.createElement(
              _text2.default,
              { size: '16' },
              name
            ),
            this.getTagsHtml(tags),
            _react2.default.createElement(_article.ArticleHtml, { data: introduction }),
            skill && skill.length ? skill.map(function (item, index) {
              var type = '';
              if (index < 5) {
                type = colorType[index];
              } else {
                type = colorType[Math.floor(Math.random() * 4)];
              }
              return _react2.default.createElement(_progress2.default, { key: index, type: type, label: item[0], value: [item[1]], labelstyle: { textAlign: 'right' } });
            }) : null
          )
        )
      );
    }
  }]);
  return CardTeacher;
}(_react2.default.Component);

CardTeacher.defaultProps = {
  type: ''
};
exports.default = CardTeacher;
;