'use strict';

var React = require('react');

/*
props:
	isOpen: 是否打开
	title: 任意html代码
	width: 默认300px
	height: 默认 auto
	btns: [
		{
			text: 任意html代码
			cls: classname 默认 dialog-btn-ok
			onClick: 确定后回调 return false 不关闭，默认关闭
		}
	]
	children: 定义弹框中显示的内容
	close: fn 处理弹框的关闭
*/
var noopFn = function noopFn() {};

var Dialog = React.createClass({
	displayName: 'Dialog',
	getInitialState: function getInitialState() {
		return {
			isOpen: false
		};
	},
	componentWillMount: function componentWillMount() {
		this.setState({ isOpen: !!this.props.isOpen });
	},
	componentWillReceiveProps: function componentWillReceiveProps(nextProps) {
		//同步open状态
		this.setState({ isOpen: !!nextProps.isOpen });
	},
	_getClickHandler: function _getClickHandler(fn) {
		var _this = this;

		return function () {
			if (typeof fn !== 'function') {
				fn = noopFn;
			}
			if (fn() !== false) {
				_this.close();
			}
		};
	},
	close: function close() {
		this.setState({ isOpen: false });
		this.props.close();
	},
	render: function render() {
		var _this2 = this;

		if (!this.state.isOpen) return false;

		var btns = this.props.btns || [];

		return React.createElement(
			'div',
			{ className: 'dialog-wrapper' },
			React.createElement('div', { className: 'mask' }),
			React.createElement(
				'div',
				{ className: 'dialog' },
				React.createElement(
					'div',
					{ className: 'dialog-title' },
					React.createElement(
						'div',
						null,
						this.props.title
					),
					React.createElement('i', { className: 'dialog-close icon-close', onClick: this.close })
				),
				React.createElement(
					'div',
					{ className: 'dialog-content' },
					this.props.content || this.props.children
				),
				btns.length ? React.createElement(
					'div',
					{ className: 'dialog-btns' },
					btns.map(function (item, i) {
						return React.createElement(
							'div',
							{ key: i, className: item.cls || 'dialog-btn', onClick: _this2._getClickHandler(item.onClick) },
							item.text
						);
					})
				) : false
			)
		);
	}
});

module.exports = Dialog;