'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _icon = require('../icon');

var _icon2 = _interopRequireDefault(_icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-enable */

// 因为服务端渲染会先加载<img />
// 所以先不在服务端渲染<img />
// 直到页面上才插入
exports.default = _react2.default.createClass({
  displayName: 'image',

  getInitialState: function getInitialState() {
    return {
      mounted: false
    };
  },

  componentDidMount: function componentDidMount() {
    this.setState({
      mounted: true
    });
  },

  generateImage: function generateImage() {
    if (this.state.mounted) {
      var imgLoadHandler = function imgLoadHandler(e) {
        var el = e.target;
        el.classList.add('active');
      };
      return _react2.default.createElement('img', (0, _extends3.default)({}, this.props, {
        className: 'smartui_image_loading',
        onLoad: imgLoadHandler }));
    } else {
      return null;
    }
  },

  render: function render() {
    var _props = this.props;
    var className = _props.className;
    var others = (0, _objectWithoutProperties3.default)(_props, ['className']);

    var cls_loading = (0, _classnames2.default)((0, _defineProperty3.default)({
      smartui_image_loading_container: true
    }, className, className));

    var containerStyle = {};
    var loaderStyle = {};
    var containerWidth = this.props.width;
    var containerHeight = this.props.height;

    if (containerWidth || containerHeight) {
      containerStyle = {
        width: containerWidth ? containerWidth : '100%',
        height: containerHeight ? containerHeight : '100%'
      };

      var minLength = Math.min(containerHeight || 0, containerWidth || 0);
      if (!isNaN(minLength)) {
        loaderStyle = {
          // fontSize: minLength / 2,
          // width: minLength,
          // height: minLength / 2,
          // marginLeft: -minLength / 2,
          // marginTop: -minLength / 4,
          fontSize: '40px',
          width: '90px',
          height: '40px',
          marginLeft: '-45px',
          marginTop: '-20px'
        };
      }
    }

    return _react2.default.createElement(
      'div',
      { className: cls_loading, style: containerStyle },
      this.generateImage(),
      _react2.default.createElement(
        'div',
        { className: 'smartui_image_loading_bg', style: { backgroundColor: this.props.backgroundColor ? this.props.backgroundColor : '#f5f5f5' } },
        _react2.default.createElement(_icon2.default, { value: 'zhike-logo', className: 'smartui_image_loader', style: loaderStyle })
      )
    );
  }
}); /**
     *  Created by beth on 2016年9月28日
     *  图片延迟加载
     */
/* eslint-disable */