'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _isInteger = require('babel-runtime/core-js/number/is-integer');

var _isInteger2 = _interopRequireDefault(_isInteger);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ModificatorType = _react.PropTypes.oneOfType([_react.PropTypes.number, _react.PropTypes.bool]);

var Col = function (_Component) {
  (0, _inherits3.default)(Col, _Component);

  function Col(props) {
    (0, _classCallCheck3.default)(this, Col);

    var _this = (0, _possibleConstructorReturn3.default)(this, (Col.__proto__ || (0, _getPrototypeOf2.default)(Col)).call(this, props));

    _this._classMap = {
      xs: 'smartui-col-xs',
      sm: 'smartui-col-sm',
      md: 'smartui-col-md',
      lg: 'smartui-col-lg',
      xsOffset: 'smartui-col-xs-offset',
      smOffset: 'smartui-col-sm-offset',
      mdOffset: 'smartui-col-md-offset',
      lgOffset: 'smartui-col-lg-offset'
    };
    return _this;
  }

  (0, _createClass3.default)(Col, [{
    key: 'render',
    value: function render() {
      var classes = [];
      classes.push('smartui-col');

      if (this.props.className) {
        classes.push(this.props.className);
      }

      if (this.props.reverse) {
        classes.push(reverse);
      }

      for (var key in this.props) {
        if (this.props.hasOwnProperty(key) && this._classMap[key]) {
          var colBaseClass = this._classMap[key];
          colBaseClass = (0, _isInteger2.default)(this.props[key]) ? colBaseClass + '-' + this.props[key] : colBaseClass;
          classes.push(colBaseClass);
        }
      }
      // console.log('classes', classes);

      return _react2.default.createElement(this.props.tagName || 'div', (0, _assign2.default)({}, this.props, {
        className: classes.join(' ')
      }), this.props.children);
    }
  }]);
  return Col;
}(_react.Component);

exports.default = Col;


Col.propTypes = {
  xs: ModificatorType,
  sm: ModificatorType,
  md: ModificatorType,
  lg: ModificatorType,
  xsOffset: _react.PropTypes.number,
  smOffset: _react.PropTypes.number,
  mdOffset: _react.PropTypes.number,
  lgOffset: _react.PropTypes.number,
  reverse: _react.PropTypes.bool,
  className: _react.PropTypes.string,
  tagName: _react.PropTypes.string,
  children: _react.PropTypes.node
};