'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//props: 
/*
  data: {Object 不可修改}； 菜单节点相关的数据，属性key，title，children，也可以包含其他属性，用于render控制
  itemRender: {Function(itemData,isOpen, level)} 用于渲染节点及其后带节点的函数
  onClick: {Function(itemData)} 点击叶子节点后触发的事件
  onToggle: {Function(itemData,isOpen)} 点击非叶子节点后触发的事件
  animate: {String} 展开或折叠子面板的动画效果 默认无效果 ’none‘ //todo:
  isRoot: 是否是根节点
  hideHeader: 是否隐藏节点header
  level: 节点所在层次，根节点level为0 ，逐层递增1，用于控制样式（内部使用）

  openKeys
  defaultSelectedKey
*/
var MenuItem = function (_React$Component) {
  (0, _inherits3.default)(MenuItem, _React$Component);

  function MenuItem(props) {
    (0, _classCallCheck3.default)(this, MenuItem);

    var _this = (0, _possibleConstructorReturn3.default)(this, (MenuItem.__proto__ || (0, _getPrototypeOf2.default)(MenuItem)).call(this, props));

    _this.state = {
      isOpen: false, //子列表是否已展开或展开中 、已关闭或关闭中
      selected: false //是否被选中
    };
    _this.hasSub = _this.hasSub.bind(_this);
    _this.getChildrenData = _this.getChildrenData.bind(_this);
    _this.handlerClick = _this.handlerClick.bind(_this);
    _this.onToggle = _this.onToggle.bind(_this);
    _this.onClick = _this.onClick.bind(_this);
    _this.getKey = _this.getKey.bind(_this);
    _this.select = _this.select.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(MenuItem, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      this._transferPropsToState(this.props);
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      this._transferPropsToState(nextProps);
    }
  }, {
    key: '_transferPropsToState',
    value: function _transferPropsToState(props) {
      var isOpen = props.isRoot === true || (props.openKeys || []).indexOf(props.data.key) > -1;

      this.setState({
        isOpen: isOpen,
        selected: props.defaultSelectedKey === props.data.key
      });
    }
  }, {
    key: 'hasSub',


    //是否有子列表
    value: function hasSub() {
      return this.getChildrenData().length;
    }
  }, {
    key: 'getChildrenData',


    //获取子列表数据
    value: function getChildrenData() {
      return this.props.data && this.props.data.children || [];
    }
  }, {
    key: 'onToggle',


    //处理子菜单触发的click和toggle事件
    value: function onToggle(nodeData, isOpen) {
      //此处提供对toggle交换效果的支持（手风琴效果、关闭时折叠整棵树等）
      //console.log('toggle bubble:   node key=', this.getKey());
      if (typeof this.props.onToggle === 'function') {
        if (nodeData.onToggle) {
          this.props.onToggle(nodeData, isOpen);
        }
      }
    }
  }, {
    key: 'onClick',
    value: function onClick(nodeData) {
      this.getKey();
      if (typeof this.props.onClick === 'function') {
        // if(nodeData.onToggle){
        this.props.onClick(nodeData);
        // }
      }
    }
  }, {
    key: 'getKey',
    value: function getKey() {
      return this.props.data.key;
    }
  }, {
    key: 'select',


    //选中树中key为指定值的节点，其他都设置为未选中状态
    value: function select(key) {
      if (this.getKey() === key) {
        this.setState({ selected: true });
      } else {
        if (this.hasSub()) {
          this._subMenu.forEach(function (item) {
            item.select(key);
          });
        } else {
          this.setState({ selected: false });
        }
      }
    }
  }, {
    key: 'handlerClick',


    //处理节点上的点击，根据节点类型选择抛出 click/toggle 事件
    value: function handlerClick() {
      var hasSub = this.hasSub();
      var nodeData = this.props.data;
      var isOpen = !this.state.isOpen;

      if (hasSub) {
        if (!nodeData.open) {
          //更新内部状态
          this.setState({ isOpen: isOpen });
        }
        //事件冒泡
        if (typeof this.props.onToggle === 'function') {
          this.props.onToggle(nodeData, isOpen);
        }
      } else if (!this.state.selected) {
        //不处理已选中状态下的点击事件
        //更新内部状态
        this.setState({ selected: true });
        //事件冒泡
        if (typeof this.props.onClick === 'function') {
          if (!nodeData.open) {
            this.props.onClick(nodeData);
          }
        }
      }
    }
  }, {
    key: 'renderItemHeader',
    value: function renderItemHeader() {
      var content;
      if (this.props.hideHeader === true) {
        return false;
      }

      if (typeof this.props.itemRender === 'function') {
        content = this.props.itemRender(this.props.data, this.state.isOpen, this.props.level);
      }

      content = content || _react2.default.createElement(
        'span',
        null,
        this.props.data.title
      );

      var cls = (0, _classnames2.default)({
        'smartui_menu_item_header': true,
        'root': this.props.isRoot === true ? true : false
      });

      // if(this.props.data.children && this.props.data.children.length){
      return _react2.default.createElement(
        'div',
        { className: cls, onClick: this.handlerClick },
        content
      );
      // }
      // return <a className={cls} href={this.props.data.key}>{content}</a>;
    }
  }, {
    key: 'renderSubList',
    value: function renderSubList() {
      var _this2 = this;

      var children = this.getChildrenData();
      if (!children.length) return false;

      var styleObj = {
        display: this.state.isOpen || this.props.data.open ? 'block' : 'none'
      };
      var level = +this.props.level + 1;

      var cls = (0, _classnames2.default)({
        'smartui_sub_menu': level > 1 ? true : false
      });

      return _react2.default.createElement(
        'div',
        { className: cls, style: styleObj },
        children.map(function (item) {
          return _react2.default.createElement(MenuItem, {
            level: level,
            key: Math.random(),
            data: item,
            ref: function ref(c) {
              if (c) _this2._subMenu.push(c);
            },
            openKeys: _this2.props.openKeys,
            defaultSelectedKey: _this2.props.defaultSelectedKey,
            itemRender: _this2.props.itemRender,
            onClick: _this2.onClick,
            onToggle: _this2.onToggle });
        })
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var _classNames;

      if (!this.props.data) {
        return false;
      }
      var depthClsPrefix = 'level';
      var menuItemCls = 'menu-item';
      var selectedCls = 'selected';

      this._subMenu = [];

      var cls_menu = (0, _classnames2.default)((_classNames = {}, (0, _defineProperty3.default)(_classNames, 'menu-item', true), (0, _defineProperty3.default)(_classNames, 'level' + +this.props.level, true), (0, _defineProperty3.default)(_classNames, 'selected', this.state.selected), _classNames));

      return _react2.default.createElement(
        'div',
        { className: cls_menu },
        this.renderItemHeader(),
        this.renderSubList()
      );
    }
  }]);
  return MenuItem;
}(_react2.default.Component);

;

exports.default = MenuItem;