'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import './index.scss';

//组件只负责抽象相同的渲染逻辑
/*
props:
  dataSource: Array[Object]
  columns: Array[Object] 
      示例 [
        {
          title: 列表头名称，显示在表头位置
          name: 列名称
          render: Function(Object record, int index){} 
          // 如果无须太多的控制，可以直接指定要显示的数据在dataSource中的字段名，
            效果等价于 render: function(record){return record[field]}
          width: 列宽 具体宽度（100px 、10em等） 或百分比 “30%”
        }
      ]
  pagination: 分页组件  可选，如果提供了，在列表底部显示分页
  noData: 无数据时显示的信息 支持任意html
  keepHeader: 无数据时是否显示表头 默认false
  key:  每一行数据的主见值，//值可以为字段名或一个 生成key值的函数，参数为当前行数据；这个值会以data-key属性存储在行元素上
  
  tableCls: //自定义表格容器的classname，用于自定义所有样式，表格默认的样式定义在 .grid选择器下；
          通过设置这个值取消默认样式，关联自定义样式

  trClsSetter: Function  生成自定义行样式的函数，参数为当前行数据和数据行位置索引; 提供自定义组件行样式机制
*/

// module.exports = require('./Table');
/**
 *  Created by beth on 2016年9月18日
 *  placeholder
 */

var tableCls = 'grid',
    tableHeaderCls = 'grid-header',
    rowCls = 'grid-row',
    tdCls = 'grid-cell';

var Table = _react2.default.createClass({
  displayName: 'Table',
  render: function render() {

    var key = this.props.key;
    var others = (0, _objectWithoutProperties3.default)(this.props, []);


    var cols = this.props.columns || [],
        ds = this.props.dataSource || [],
        trClsSetter = this.props.trClsSetter || function (record, index) {
      return rowCls;
    };

    var keySetter = typeof key === 'function' ? key : typeof key === 'string' ? function (record) {
      return record[key];
    } : function (record, index) {
      return index;
    };

    if (!cols.length) {
      return false;
    }

    return _react2.default.createElement(
      'table',
      (0, _extends3.default)({ className: this.props.className || tableCls }, others),
      _react2.default.createElement(
        'thead',
        null,
        _react2.default.createElement(
          'tr',
          { className: tableHeaderCls },
          cols.map(function (item, i) {
            var cls_th = (0, _classnames2.default)((0, _defineProperty3.default)({
              tdCls: true
            }, item.className, item.className ? true : false));

            return _react2.default.createElement(
              'td',
              { key: i, className: cls_th, width: item.width || 'auto', style: item.center ? { textAlign: 'center' } : {} },
              item.title
            );
          })
        )
      ),
      _react2.default.createElement(
        'tbody',
        null,
        ds.map(function (record, rowIndex) {
          return _react2.default.createElement(
            'tr',
            { key: rowIndex, className: trClsSetter(record, rowIndex),
              'data-key': keySetter(record, rowIndex) },
            cols.map(function (col, j) {
              var cls_td = (0, _classnames2.default)((0, _defineProperty3.default)({
                tdCls: true
              }, col.className, col.className ? true : false));

              return _react2.default.createElement(
                'td',
                { className: cls_td, key: j, style: col.style },
                typeof col.render === 'function' ? col.render(record, rowIndex) : col.field ? record[col.field] : ''
              );
            })
          );
        })
      ),
      _react2.default.createElement(
        'tfoot',
        null,
        _react2.default.createElement(
          'tr',
          null,
          _react2.default.createElement(
            'td',
            { colSpan: cols.length },
            ds.length && this.props.pagination ? this.props.pagination : false,
            !ds.length && this.props.noData ? this.props.noData : false
          )
        )
      )
    );
  }
});

module.exports = Table;