###表格组件
>参考地址：http://react-component.github.io/table/

####childrenIndent
    /* eslint-disable no-console,func-names,react/no-multi-comp */
    const columns = [{
      title: '姓名',
      dataIndex: 'name',
      key: 'name',
      width: 400,
    }, {
      title: '年龄',
      dataIndex: 'age',
      key: 'age',
      width: 100,
    }, {
      title: '住址',
      dataIndex: 'address',
      key: 'address',
      width: 200,
    }, {
      title: '操作',
      dataIndex: 'operation',
      key: 'x',
      width: 150,
    }];
    
    const data = [{
      key: 1,
      name: 'a',
      age: 32,
      address: '我是a',
      children: [{
        key: 11,
        name: 'aa',
        age: 33,
        address: '我是aa',
      }, {
        key: 12,
        name: 'ab',
        age: 33,
        address: '我是ab',
        children: [{
          key: 121,
          name: 'aba',
          age: 33,
          address: '我是aba',
        }],
      }, {
        key: 13,
        name: 'ac',
        age: 33,
        address: '我是ac',
        children: [{
          key: 131,
          name: 'aca',
          age: 33,
          address: '我是aca',
          children: [{
            key: 1311,
            name: 'acaa',
            age: 33,
            address: '我是acaa',
          }, {
            key: 1312,
            name: 'acab',
            age: 33,
            address: '我是acab',
          }],
        }],
      }],
    }, {
      key: 2,
      name: 'b',
      age: 32,
      address: '我是b',
    }];
    
    function onExpand(expanded, record) {
      console.log('onExpand', expanded, record);
    }
    
    <Table defaultExpandAllRows columns={columns} data={data} indentSize={30} onExpand={onExpand} />,
####className
    const columns = [
      {title: '表头1', dataIndex: 'a',
        className: 'a',
        key: 'a', width: 100},
      {id: '123', title: '表头2', dataIndex: 'b',
        className: 'b',
        key: 'b', width: 100},
      {title: '表头3', dataIndex: 'c',
        className: 'c',
        key: 'c', width: 200},
      {
        title: '操作', dataIndex: '',
        className: 'd',
        key: 'd', render: function() {
          return <a href="#">操作</a>;
        },
      },
    ];
    
    const data = [{a: '123', key: '1'}, {a: 'cdd', b: 'edd', key: '2'}, {a: '1333', c: 'eee', d: 2, key: '3'}];
    
    function rowClassName(record, i) {
      return 'row-' + i;
    }
    
    function expandedRowClassName(record, i) {
      return 'ex-row-' + i;
    }
    
    function expandedRowRender(record) {
      return <p>extra: {record.a}</p>;
    }

    <Table columns={columns}
      rowClassName={rowClassName}
      expandedRowRender={expandedRowRender}
      expandedRowClassName={expandedRowClassName}
      data={data}
      className="table"/>
####colspan-rowspan
    const columns = [
      {title: '手机号', dataIndex: 'a', colSpan: 2, width: 100, key: 'a', render: function(o, row, index) {
        const obj = {
          children: o,
          props: {},
        };
        // 设置第一行为链接
        if (index === 0) {
          obj.children = <a href="#">{o}</a>;
        }
        // 第5行合并两列
        if (index === 4) {
          obj.props.colSpan = 2;
        }
    
        if (index === 5) {
          obj.props.colSpan = 6;
        }
        return obj;
      }},
      {title: '电话', dataIndex: 'b', colSpan: 0, width: 100, key: 'b', render: function(o, row, index) {
        const obj = {
          children: o,
          props: {},
        };
        // 列合并掉的表格设置colSpan=0，不会去渲染
        if (index === 4 || index === 5) {
          obj.props.colSpan = 0;
        }
        return obj;
      }},
      {title: '姓名', dataIndex: 'c', width: 100, key: 'c', render: function(o, row, index) {
        const obj = {
          children: o,
          props: {},
        };
    
        if (index === 5) {
          obj.props.colSpan = 0;
        }
        return obj;
      }},
      {title: '住址', dataIndex: 'd', width: 200, key: 'd', render: function(o, row, index) {
        const obj = {
          children: o,
          props: {},
        };
        if (index === 0) {
          obj.props.rowSpan = 2;
        }
        if (index === 1 || index === 5) {
          obj.props.rowSpan = 0;
        }
    
        return obj;
      }},
      {title: '性别', dataIndex: 'e', width: 200, key: 'e', render: function(o, row, index) {
        const obj = {
          children: o,
          props: {},
        };
        if (index === 5) {
          obj.props.colSpan = 0;
        }
        return obj;
      }},
      {
        title: '操作', dataIndex: '', key: 'f',
        render: function(o, row, index) {
          if (index === 5) {
            return {
              props: {
                colSpan: 0,
              },
            };
          }
          return <a href="#">操作</a>;
        },
      },
    ];
    
    const data = [
      {a: '13812340987', b: '0571-12345678', c: '张三', d: '文一西路', e: '男', key: '1'},
      {a: '13812340986', b: '0571-98787658', c: '张夫人', d: '文一西路', e: '女', key: '2'},
      {a: '13812988888', b: '0571-099877', c: '李四', d: '文二西路', e: '男', key: '3'},
      {a: '1381200008888', b: '0571-099877', c: '王五', d: '文二西路', e: '男', key: '4'},
      {a: '0571-88888110', c: '李警官', d: '武林门', e: '男', key: '5'},
      {a: '资料统计完毕于xxxx年xxx月xxx日', key: '6'},
    ];

    <Table columns={columns}
      data={data}
      className="table"/>
####dropdown
    const data = [];
    for (let i = 0; i < 10; i++) {
      data.push({
        key: i,
        a: 'a' + i,
        b: 'b' + i,
        c: 'c' + i,
      });
    }
    
    function getRowKey(record) {
      return record.key;
    }
    
    const Test = React.createClass({
      getInitialState() {
        this.filters = [];
        return {
          visible: false,
        };
      },
    
      handleVisibleChange(visible) {
        this.setState({
          visible: visible,
        });
      },
    
      handleSelect(selected) {
        this.filters.push(selected);
      },
    
      handleDeselect(key) {
        const index = this.filters.indexOf(key);
        if (index !== -1) {
          this.filters.splice(index, 1);
        }
      },
    
      confirmFilter() {
        console.log(this.filters.join(','));
        this.setState({
          visible: false,
        });
      },
    
      render() {
        const menu = (
          <Menu style={{width: 200}} multiple onSelect={this.handleSelect} onDeselect={this.handleDeselect}>
            <Menu.Item key="1">one</Menu.Item>
            <Menu.Item key="2">two</Menu.Item>
            <Menu.Item key="3">three</Menu.Item>
            <Menu.Divider/>
            <Menu.Item disabled>
              <button
                style={{
                  cursor: 'pointer',
                  color: '#000',
                  'pointerEvents': 'visible',
                }}
                onClick={this.confirmFilter}>确定</button>
            </Menu.Item>
          </Menu>
        );
    
        const columns = [
          {
            title: (<div>表头1
              <DropDown trigger="click"
                onVisibleChange={this.handleVisibleChange}
                visible={this.state.visible}
                closeOnSelect={false}
                overlay={menu}>
                <a href="#">filter</a>
              </DropDown>
            </div>), key: 'a', dataIndex: 'a', width: 100,
          },
          {id: '123', title: '表头2', dataIndex: 'b', key: 'b', width: 100},
          {title: '表头3', key: 'c', dataIndex: 'c', width: 200},
        ];
        return (
          <Table columns={columns}
            data={data}
            rowKey={getRowKey}
            className="table"/>
        );
      },
    });

    <Test/>
####expandedRowRender
    const CheckBox = React.createClass({
      render: function() {
        const props = this.props;
        return (
          <label>
            <input type="checkbox" />
            {props.id}
          </label>
        );
      },
    });
    
    const MyTable = React.createClass({
      getInitialState: function() {
        const props = this.props;
        return {
          data: props.data,
          expandedRowKeys: [],
        };
      },
    
      onExpand(expanded, record) {
        console.log('onExpand', expanded, record);
      },
    
      onExpandedRowsChange(rows) {
        this.setState({
          expandedRowKeys: rows,
        });
      },
    
      getRowKey(record) {
        return record.a;
      },
    
      toggleButton() {
        if (this.state.expandedRowKeys.length) {
          const closeAll = () => this.setState({expandedRowKeys: []});
          return <button onClick={closeAll}>关闭所有</button>;
        }
        const openAll = () => this.setState({expandedRowKeys: ['123', 'cdd', '1333']});
        return <button onClick={openAll}>展开全部</button>;
      },
    
      handleClick: function(index) {
        const self = this;
        return function() {
          self.remove(index);
        };
      },
    
      remove: function(index) {
        const rows = this.state.data;
        rows.splice(index, 1);
        this.setState({
          data: rows,
        });
      },
    
      checkbox: function(a) {
        return <CheckBox id={a} />;
      },
    
      expandedRowRender(record) {
        console.log(record);
        return <p>extra: {record.a}</p>;
      },
    
      renderAction: function(o, row, index) {
        return <a href="#" onClick={this.handleClick(index)}>删除</a>;
      },
    
      render: function() {
        const state = this.state;
        const columns = [
          {title: '表头1', dataIndex: 'a', key: 'a', width: 100, render: this.checkbox},
          {title: '表头2', dataIndex: 'b', key: 'b', width: 100},
          {title: '表头3', dataIndex: 'c', key: 'c', width: 200},
          {title: '操作', dataIndex: '', key: 'x', render: this.renderAction},
        ];
        return (
          <div>
            {this.toggleButton()}
            <Table
              columns={columns}
              expandIconAsCell
              expandedRowRender={this.expandedRowRender}
              expandedRowKeys={this.state.expandedRowKeys}
              onExpandedRowsChange={this.onExpandedRowsChange}
              onExpand={this.onExpand}
              data={state.data}
              className="table"
              rowKey={this.getRowKey}
            />
          </div>
        );
      },
    });
    
    const data = [{a: '123'}, {a: 'cdd', b: 'edd'}, {a: '1333', c: 'eee', d: 2}];

    <MyTable
      data={data}
      className="table"
    />
####fixedColumns
    const columns = [
      {title: '表头1', dataIndex: 'a', key: 'a', fixed: 'left'},
      {title: '表头2', dataIndex: 'b', key: 'b', fixed: 'left'},
      {title: '表头3', dataIndex: 'c', key: 'c'},
      {title: '表头4', dataIndex: 'b', key: 'd'},
      {title: '表头5', dataIndex: 'b', key: 'e'},
      {title: '表头6', dataIndex: 'b', key: 'f'},
      {title: '表头7', dataIndex: 'b', key: 'g'},
      {title: '表头8', dataIndex: 'b', key: 'h'},
      {title: '表头9', dataIndex: 'b', key: 'i'},
      {title: '表头10', dataIndex: 'b', key: 'j'},
      {title: '表头11', dataIndex: 'b', key: 'k'},
      {title: '表头12', dataIndex: 'b', key: 'l', fixed: 'right'},
    ];
    
    const data = [
      {a: '123', b: 'xxxxxxxx', d: 3, key: '1'},
      {a: 'cdd', b: 'edd12221', d: 3, key: '2'},
      {a: '133', c: 'edd12221', d: 2, key: '3'},
      {a: '133', c: 'edd12221', d: 2, key: '4'},
      {a: '133', c: 'edd12221', d: 2, key: '5'},
      {a: '133', c: 'edd12221', d: 2, key: '6'},
      {a: '133', c: 'edd12221', d: 2, key: '7'},
      {a: '133', c: 'edd12221', d: 2, key: '8'},
      {a: '133', c: 'edd12221', d: 2, key: '9'},
    ];

    <Table columns={columns} scroll={{ x: 1200 }} data={data} />
####fixedColumnsAndHeader
    const columns = [
      {title: '表头1', dataIndex: 'a', key: 'a', width: 100, fixed: 'left'},
      {title: '表头2', dataIndex: 'b', key: 'b', width: 100, fixed: 'left'},
      {title: '表头3', dataIndex: 'c', key: 'c', width: 100},
      {title: '表头4', dataIndex: 'b', key: 'd', width: 100},
      {title: '表头5', dataIndex: 'b', key: 'e', width: 100},
      {title: '表头6', dataIndex: 'b', key: 'f', width: 100},
      {title: '表头7', dataIndex: 'b', key: 'g', width: 100},
      {title: '表头8', dataIndex: 'b', key: 'h', width: 100},
      {title: '表头9', dataIndex: 'b', key: 'i', width: 100},
      {title: '表头10', dataIndex: 'b', key: 'j', width: 100},
      {title: '表头11', dataIndex: 'b', key: 'k', width: 100},
      {title: '表头12', dataIndex: 'b', key: 'l', width: 100, fixed: 'right'},
    ];
    
    const data = [
      {a: '123', b: 'xxxxxxxx', d: 3, key: '1'},
      {a: 'cdd', b: 'edd12221', d: 3, key: '2'},
      {a: '133', c: 'edd12221', d: 2, key: '3'},
      {a: '133', c: 'edd12221', d: 2, key: '4'},
      {a: '133', c: 'edd12221', d: 2, key: '5'},
      {a: '133', c: 'edd12221', d: 2, key: '6'},
      {a: '133', c: 'edd12221', d: 2, key: '7'},
      {a: '133', c: 'edd12221', d: 2, key: '8'},
      {a: '133', c: 'edd12221', d: 2, key: '9'},
    ];

    <Table columns={columns} scroll={{ x: true, y: 300 }} data={data} style={{ width: 800 }} />
####footer

    const columns = [
      {title: '表头1', dataIndex: 'a', key: 'a', width: 100},
      {id: '123', title: '表头2', dataIndex: 'b', key: 'b', width: 100},
      {title: '表头3', dataIndex: 'c', key: 'c', width: 200},
      {
        title: '操作', dataIndex: '', key: 'd', render: function() {
          return <a href="#">操作</a>;
        },
      },
    ];
    
    const data = [{a: '123', key: '1'}, {a: 'cdd', b: 'edd', key: '2'}, {a: '1333', c: 'eee', d: 2, key: '3'}];
    
    const footer = (currentData) => {
      return <div>Footer: {currentData.length} items</div>;
    };

    <Table columns={columns}
      data={data}
      footer={footer} />
####hide-header

    const columns = [
      {title: '表头1', dataIndex: 'a', key: 'a', width: 100},
      {id: '123', title: '表头2', dataIndex: 'b', key: 'b', width: 100},
      {title: '表头3', dataIndex: 'c', key: 'c', width: 200},
      {
        title: '操作', dataIndex: '', key: 'd', render: function() {
          return <a href="#">操作</a>;
        },
      },
    ];
    
    const data = [{a: '123', key: '1'}, {a: 'cdd', b: 'edd', key: '2'}, {a: '1333', c: 'eee', d: 2, key: '3'}];

    <Table columns={columns}
      showHeader={false}
      data={data}
      className="table"/>
####key
    const CheckBox = React.createClass({
      render: function() {
        const props = this.props;
        return (
          <label>
            <input type="checkbox" />
            {props.id}
          </label>
        );
      },
    });
    
    const MyTable = React.createClass({
      getInitialState: function() {
        const props = this.props;
        return {
          data: props.data,
        };
      },
    
      getRowKey(record) {
        return record.a;
      },
    
      remove: function(index) {
        const rows = this.state.data;
        rows.splice(index, 1);
        this.setState({
          data: rows,
        });
      },
    
      handleClick: function(index) {
        const self = this;
        return function() {
          self.remove(index);
        };
      },
    
      checkbox: function(a) {
        return <CheckBox id={a} />;
      },
    
      renderAction: function(o, row, index) {
        return <a href="#" onClick={this.handleClick(index)}>删除</a>;
      },
    
      render: function() {
        const state = this.state;
        const columns = [
          {title: '表头1', dataIndex: 'a', key: 'a', width: 100, render: this.checkbox},
          {title: '表头2', dataIndex: 'b', key: 'b', width: 100},
          {title: '表头3', dataIndex: 'c', key: 'c', width: 200},
          {title: '操作', dataIndex: '', key: 'x', render: this.renderAction},
        ];
        return (
          <Table columns={columns} data={state.data} className="table" rowKey={this.getRowKey}/>
        );
      },
    });
    
    const data = [{a: '123'}, {a: 'cdd', b: 'edd'}, {a: '1333', c: 'eee', d: 2}];

    <MyTable data={data} className="table"/>
####pagingColumns
    
    const columns = [
      {title: '表头1', dataIndex: 'a', key: 'a'},
      {title: '表头2', dataIndex: 'b', key: 'b'},
      {title: '表头3', dataIndex: 'b', key: 'c'},
      {title: '表头4', dataIndex: 'b', key: 'd'},
      {title: '表头5', dataIndex: 'b', key: 'e'},
      {title: '表头6', dataIndex: 'b', key: 'f'},
      {title: '表头7', dataIndex: 'b', key: 'g'},
      {title: '表头8', dataIndex: 'b', key: 'h'},
      {title: '表头9', dataIndex: 'b', key: 'i'},
      {title: '表头10', dataIndex: 'b', key: 'j'},
      {title: '表头11', dataIndex: 'b', key: 'k'},
      {title: '表头12', dataIndex: 'b', key: 'l'},
    ];
    
    const data = [{a: '123', key: '1'}, {a: 'cdd', b: 'edd', key: '2'}, {a: '1333', c: 'eee', d: 2, key: '3'}];

    <Table columns={columns}
      columnsPageRange={[1, 10]}
      columnsPageSize={4}
      data={data}
      className="table"/>
####rowClick
    const onRowClick = function(record, index) {
      console.log(`u click the nth(${index}) element of yourFather.children, record.name: ${record.name}`);
    };
    
    const onOperationClick = function(text, record) {
      console.log(`u click ${text}, record.name is ${record.name}`);
    };
    
    const columns = [{
      title: '姓名',
      dataIndex: 'name',
      key: 'name',
      width: 400,
    }, {
      title: '年龄',
      dataIndex: 'age',
      key: 'age',
      width: 100,
      render: (text, record) => <a href="#" onClick={onOperationClick.bind(null, text, record)}>Alert: {text}, click will pop to row click</a>,
    }, {
      title: '住址',
      dataIndex: 'address',
      key: 'address',
      width: 200,
    }];
    
    const data = [{
      key: 1,
      name: 'a',
      age: 32,
      address: '我是a',
      children: [{
        key: 11,
        name: 'aa',
        age: 33,
        address: '我是aa',
      }, {
        key: 12,
        name: 'ab',
        age: 33,
        address: '我是ab',
        children: [{
          key: 121,
          name: 'aba',
          age: 33,
          address: '我是aba',
        }],
      }, {
        key: 13,
        name: 'ac',
        age: 33,
        address: '我是ac',
        children: [{
          key: 131,
          name: 'aca',
          age: 33,
          address: '我是aca',
          children: [{
            key: 1311,
            name: 'acaa',
            age: 33,
            address: '我是acaa',
          }, {
            key: 1312,
            name: 'acab',
            age: 33,
            address: '我是acab',
          }],
        }],
      }],
    }, {
      key: 2,
      name: 'b',
      age: 32,
      address: '我是b',
    }];

  <Table columns={columns} data={data} onRowClick={onRowClick}/>,
####scrollX
    const columns = [
      {title: '表头1', dataIndex: 'a', key: 'a', width: 100},
      {title: '表头2', dataIndex: 'b', key: 'b', width: 100},
      {title: '表头3', dataIndex: 'c', key: 'c', width: 100},
      {title: '表头4', dataIndex: 'b', key: 'd', width: 100},
      {title: '表头5', dataIndex: 'b', key: 'e', width: 100},
      {title: '表头6', dataIndex: 'b', key: 'f', width: 100},
      {title: '表头7', dataIndex: 'b', key: 'g', width: 100},
      {title: '表头8', dataIndex: 'b', key: 'h', width: 100},
      {title: '表头9', dataIndex: 'b', key: 'i', width: 100},
      {title: '表头10', dataIndex: 'b', key: 'j', width: 100},
      {title: '表头11', dataIndex: 'b', key: 'k', width: 100},
      {title: '表头12', dataIndex: 'b', key: 'l', width: 100},
    ];
    
    const data = [
      {a: '123', b: 'xxxxxxxx xxxxxxxx', d: 3, key: '1'},
      {a: 'cdd', b: 'edd12221 edd12221', d: 3, key: '2'},
      {a: '133', c: 'edd12221 edd12221', d: 2, key: '3'},
      {a: '133', c: 'edd12221 edd12221', d: 2, key: '4'},
    ];

    <Table style={{ width: 800 }} scroll={{ x: true }} columns={columns} data={data} />
####scrollXY
    const columns = [
      {title: '表头1', dataIndex: 'a', key: 'a', width: 100},
      {title: '表头2', dataIndex: 'b', key: 'b', width: 100},
      {title: '表头3', dataIndex: 'c', key: 'c', width: 100},
      {title: '表头4', dataIndex: 'b', key: 'd', width: 100},
      {title: '表头5', dataIndex: 'b', key: 'e', width: 100},
      {title: '表头6', dataIndex: 'b', key: 'f', width: 100},
      {title: '表头7', dataIndex: 'b', key: 'g', width: 100},
      {title: '表头8', dataIndex: 'b', key: 'h', width: 100},
      {title: '表头9', dataIndex: 'b', key: 'i', width: 100},
      {title: '表头10', dataIndex: 'b', key: 'j', width: 100},
      {title: '表头11', dataIndex: 'b', key: 'k', width: 100},
      {title: '表头12', dataIndex: 'b', key: 'l', width: 100},
    ];
    
    const data = [
      {a: '123', b: 'xxxxxxxx xxxxxxxx', d: 3, key: '1'},
      {a: 'cdd', b: 'edd12221 edd12221', d: 3, key: '2'},
      {a: '133', c: 'edd12221 edd12221', d: 2, key: '3'},
      {a: '133', c: 'edd12221 edd12221', d: 2, key: '4'},
      {a: '133', c: 'edd12221 edd12221', d: 2, key: '5'},
      {a: '133', c: 'edd12221 edd12221', d: 2, key: '6'},
      {a: '133', c: 'edd12221 edd12221', d: 2, key: '7'},
      {a: '133', c: 'edd12221 edd12221', d: 2, key: '8'},
      {a: '133', c: 'edd12221 edd12221', d: 2, key: '9'},
    ];

    <Table useFixedHeader style={{ width: 800 }} scroll={{ x: true, y: 300 }} columns={columns} data={data} />
####scrollY
    const data = [];
    for (let i = 0; i < 30; i++) {
      data.push({
        key: i,
        a: 'a' + i,
        b: 'b' + i,
        c: 'c' + i,
      });
    }
    
    function getRowKey(record) {
      return record.key;
    }
    
    const Test = React.createClass({
      getInitialState() {
        return {
          showBody: true,
        };
      },
    
      toggleBody() {
        this.setState({
          showBody: !this.state.showBody,
        });
      },
    
      render() {
        const columns = [
          {title: '表头1', key: 'a', dataIndex: 'a', width: 100},
          {id: '123', title: '表头2', dataIndex: 'b', key: 'b', width: 100},
          {title: '表头3', key: 'c', dataIndex: 'c', width: 200},
          {
            title: <a onClick={this.toggleBody} href="#">{this.state.showBody ? '隐藏' : '显示'}体</a>,
            key: 'x',
            width: 200,
            render: function() {
              return <a href="#">操作</a>;
            },
          },
        ];
        return (
          <Table columns={columns}
            data={data}
            scroll={{ y: 300 }}
            rowKey={getRowKey}
            bodyStyle={{
              display: this.state.showBody ? '' : 'none',
            }}
            className="table" />
        );
      },
    });

    <Test/>
####simple
    const columns = [
      {title: '表头1', dataIndex: 'a', key: 'a', width: 100},
      {id: '123', title: '表头2', dataIndex: 'b', key: 'b', width: 100},
      {title: '表头3', dataIndex: 'c', key: 'c', width: 200},
      {
        title: '操作', dataIndex: '', key: 'd', render: function() {
          return <a href="#">操作</a>;
        },
      },
    ];
    
    const data = [{a: '123', key: '1'}, {a: 'cdd', b: 'edd', key: '2'}, {a: '1333', c: 'eee', d: 2, key: '3'}];

    <Table columns={columns}
      data={data}
      className="table"/>
####subTable
    const MyTable = React.createClass({
      getInitialState: function() {
        const props = this.props;
        return {
          data: props.data,
        };
      },
    
      getRowKey(record) {
        return record.a;
      },
    
      handleClick(record, e) {
        e.preventDefault();
        console.log(record.a);
      },
    
      render: function() {
        const state = this.state;
        const columns = [
          {title: '表头1', dataIndex: 'a', key: 'a', width: 100},
          {title: '表头2', dataIndex: 'b', key: 'b', width: 100},
          {title: '表头3', dataIndex: 'c', key: 'c', width: 200},
          {
            title: '操作', dataIndex: '', key: 'x', render: (_, record) => {
              return <a href="a" onClick={this.handleClick.bind(null, record)}>click {record.a}</a>;
            },
          },
        ];
        return (
          <Table columns={columns}
                 expandIconAsCell
                 data={state.data} className="table" rowKey={this.getRowKey}/>
        );
      },
    });
    
    const data = [
      {
        a: 'a1',
      },
      {
        a: 'a2',
        b: 'b2',
        children: [
          {
            a: 'a2-1',
            b: 'b2-1',
          },
          {
            a: 'a2-2',
            b: 'b2-2',
          },
        ],
      },
      {
        a: 'a3',
        c: 'c3',
        d: 'd3',
      },
    ];

    <MyTable data={data} className="table"/>

